Package org.drinkless.tdlib

# Class TdApi.Notification

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Notification

Enclosing class:
  `TdApi`

public static class TdApi.Notification extends TdApi.Object
Contains information about a notification.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `date`
  Notification date.
  `int`
  `id`
  Unique persistent identifier of this notification.
  `boolean`
  `isSilent`
  True, if the notification was explicitly sent without sound.
  `TdApi.NotificationType`
  `type`
  Notification type.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Notification()`
  Contains information about a notification.
  `Notification(int id, int date, boolean isSilent, TdApi.NotificationType type)`
  Contains information about a notification.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### id

    public int id
    Unique persistent identifier of this notification.

  - ### date

    public int date
    Notification date.

  - ### isSilent

    public boolean isSilent
    True, if the notification was explicitly sent without sound.

  - ### type

    public TdApi.NotificationType type
    Notification type.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Notification

    public Notification()
    Contains information about a notification.

  - ### Notification

    public Notification(int id, int date, boolean isSilent, TdApi.NotificationType type)
    Contains information about a notification.
    Parameters:
      `id` - Unique persistent identifier of this notification.
      `date` - Notification date.
      `isSilent` - True, if the notification was explicitly sent without sound.
      `type` - Notification type.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR